/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author CBO
 */
public class CritereTypeDTO implements IsSerializable {

    private String id;
    private String libelle;
    private ArrayList<Property> props;

    public CritereTypeDTO() {
        super();
        props = new ArrayList<Property>();
    }

    public CritereTypeDTO(String id, String libelle) {
        this();
        setId(id);
        setLibelle(libelle);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibelle() {
        return libelle;
    }

    public void setLibelle(String libelle) {
        this.libelle = libelle;
    }
    public void addProperty(String pName, String value) {
        Property p = new Property(pName,value);
        props.add(p);
    }

    public List<Property> getProperties() {
        return props;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof CritereTypeDTO) {
            CritereTypeDTO other = (CritereTypeDTO)obj;
            return getId().equals(other.getId());
        } else {
            return getId().equals(obj.toString());
        }
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 71 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

}
